lm-sensors (1:3.5.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:40:51 +0800

lm-sensors (1:3.5.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Dec 2018 16:58:53 +0100

lm-sensors (1:3.5.0-2) experimental; urgency=medium

  * libsensors-config: add a Breaks: libsensors4. This will make the
    transition more painful but is needed to move the configuration file from
    one package to another (closes: #915873).
  * debian/rules: fix FTCBFS by passing MACHINE to make. Thanks to Helmut
    Grohne for the patch (closes: #915819).
  * debian/rules: force the installation of /etc/sensors3.conf in the
    architecture independent target (closes: #915810).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Dec 2018 19:51:55 +0100

lm-sensors (1:3.5.0-1) experimental; urgency=medium

  * New upstream version:
    - sensors-detect now point to an existing web page (closes: #813137).
    - Refresh 01-sensors-detect-udevadm.patch.
    - Refresh 06-sensors-detect-debian.patch.
    - Drop 07-sensors3.conf-local-changes.patch (obsolete).
    - Drop 12-sensors-detect-superio-x86.patch upstreamed).
    - Drop 13-sensors-manpage.patch (upstreamed).
    - Rename libsensors4 package into libsensors5.
  * Add a libsensors-config package and move the configuration files there.
  * Update debian/control, debian/copyright and debian/watch to reflect
    the new home page (closes: #882770).
  * Update debian/copyright to reflect that the library is now released under
    LGPL version 2.1 or later (closes: #912409).
  * Bump debhelper compat version to 10.
  * Downgrade priority from extra to optional.
  * Drop ancient conflicts/replaces.
  * Set Rules-Requires-Root: no.
  * Add "Provides: libsensors-dev" to libsensors4-dev to be able to
    transition to a version-less -dev package.
  * Bumped Standards-version to 4.2.1.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Dec 2018 21:14:55 +0100

lm-sensors (1:3.4.0-4) unstable; urgency=medium

  * Drop the sensord package, it is not really maintained upstream, and
    the RRD part has some issues (closes: #244037, #469096, #790796).
    - Stop building it.
    - Remove corresponding patches.
    - Remove corresponding debhelper files.
    - Drop the build-depends on librrd-dev.
  * Fix udevadm path in sensors-detect (closes: #852558).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 05 Apr 2017 20:07:33 +0000

lm-sensors (1:3.4.0-3) unstable; urgency=medium

  * Switch lm-sensors and sensord packages to architecture linux-any. Add a
    note that libsensors4 and libsensors4-dev will only find sensors with a
    Linux kernel, but keep them for portability on other systems (closes:
    #570429).
  * debian/lm-sensors.init: fix LSB init output, thanks to Guillem Jover for
    the patch (closes: #823078).
  * debian/patches/15-path-max.patch: new patch to define PATH_MAX on GNU
    Hurd, thanks to Christoph Berg for the patch (closes: #824005).
  * Bumped Standards-version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 May 2016 21:24:51 +0200

lm-sensors (1:3.4.0-2) unstable; urgency=medium

  * Build-depends on librrd-dev instead of librrd2-dev as the Provides
    has been removed without warnings.
  * Rewrite debian/rules usind dh.
  * Update 05-sensord-manpage.patch with the new Apache 2.4 default document
    root. Thanks to Jean-Michel Vourgère for the patch (closes: #753394).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Sep 2015 20:51:21 +0200

lm-sensors (1:3.4.0-1) unstable; urgency=medium

  * New upstream version:
    - Fixes fancontrol when FCFANS is not set (closes: #727731).
  * debian/sensord.maintscript: fix version (closes: #747379, #756474).
  * Improve fancontrol description.
  * Mention sensors-detect(8) in sensors(1) (closes: #766775).
  * Bumped Standards-version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Aug 2015 18:03:52 +0200

lm-sensors (1:3.3.5-2) unstable; urgency=medium

  * debian/lm-sensors.preinst: remove and rely now on lm-sensors.maintscript
    to manage obsolete conffiles (closes: #567183).
  * debian/sensord.maintscript: add /etc/logcheck/ignore.d.server/sensord
    (closes: #747379).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 08 May 2014 14:48:32 +0200

lm-sensors (1:3.3.5-1) unstable; urgency=medium

  * New upstream version:
    - drop 01-sensors-conf-convert-manpage.patch (merged upstream).
    - refresh other patches.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Apr 2014 19:41:14 +0200

lm-sensors (1:3.3.4-3) unstable; urgency=medium

  * lm-sensors.service: allow calls to sensors to fail, in case no
    sensors are available.
  * Bumped Standards-version to 3.9.5 (no changes).
  * Don't force xz compression when generating .deb now that it is the
    default.
  * Don't pass start and stop actions to dh_installinit. The LSB headers
    of the init scripts already contain all necesssary information
    (closes: #722074).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2014 20:06:52 +0200

lm-sensors (1:3.3.4-2) unstable; urgency=low

  * debian/fancontrol.init: pass the config file location as argument of
    the fancontrol daemon (closes: #720213).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:36:05 +0200

lm-sensors (1:3.3.4-1) unstable; urgency=low

  * New upstream version.
  * Use dh-systemd to get proper systemd related maintainer scripts,
    based on a patch from Michael Stapelberg (closes: #714190).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jun 2013 16:37:48 +0200

lm-sensors (1:3.3.3-1) unstable; urgency=low

  * New upstream version:
    - Don't choke on systems without PCI (closes: #695889).
  * Bumped Standards-version to 3.9.4.0 (no changes).
  * Compress .deb with xz.
  * Add a watch file (closes: #694848).
  * Fix RRD file creation with loadavg (closes: #614965).
  * Backport pwmconfig changes from upstream to fix multiple fan
    control (closes: #695895).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 23:37:35 +0200

lm-sensors (1:3.3.2-2) unstable; urgency=low

  * Tell user to restart kmod instead of modules-init-tools (closes: 
    #670213).
  * Install a systemd service file for lm-sensors (closes: #674778).
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:21:26 +0200

lm-sensors (1:3.3.2-1) unstable; urgency=low

  * New upstream version:
  * Bumped Standards-version to 3.9.3 (no changes).
  * Drop useless dependency on makedev | udev (closes: #666510).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 19:00:39 +0200

lm-sensors (1:3.3.1-2) unstable; urgency=low

  * sensors-detect: restrict super-io probes to x86 and x86_64 (closes:
    #657555).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 10:42:53 +0100

lm-sensors (1:3.3.1-1) unstable; urgency=low

  * New upstream version:
    - Drop 12-upstream-patches.patch.
    - Drop 13-udev-run.patch.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Oct 2011 15:21:24 +0200

lm-sensors (1:3.3.0-4) unstable; urgency=low

  * Rename source package to lm-sensors now that the version 2 is gone.
  * Add patch from upstream to support 2 digits kernel version (closes: 
    #630508).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libsensors4 and set it
    Multi-Arch: same.
    - Install the library in the multiarch path.
  * Add build-arch and build-indep targets. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:25:57 +0200

lm-sensors-3 (1:3.3.0-3) unstable; urgency=low

  * Correctly detect udev in sensors-detect (closes: #628228). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 22:42:37 +0200

lm-sensors-3 (1:3.3.0-2) unstable; urgency=low

  * Avoid printing a warning if ucf is not available (closes: #626402). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 May 2011 20:02:23 +0200

lm-sensors-3 (1:3.3.0-1) unstable; urgency=low

  * New upstream version:
    - refresh all patches.
    - update 12-upstream-patches.patch with upstream recommended patches.
    - update symbols file, now that upstream only export symbols of the 
      public API. Hope it won't break anything, otherwise we should go 
      through a soname bump and a transition.
  * Remove old fancontrol links in postinst (closes: bug#612231).
  * Bumped Standards-version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Apr 2011 15:19:33 +0200

lm-sensors-3 (1:3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Suggests fancontrol instead of recommending it in lm-sensors (closes:
    bug#567185).
  * Suggests lm-sensors instead of recommending it in libsensors4 (closes:
    bug#602914).
  * Suggests rrdtool in sensord (closes: bug#588132).
  * Detect SMSC SCH5524-NS chip (closes: bug#588355).
  * Bumped Standards-version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 14:46:28 +0100

lm-sensors-3 (1:3.1.2-6) unstable; urgency=low

  * Fix return value in fancontrol --check (closes: bug#583216). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 19:17:40 +0200

lm-sensors-3 (1:3.1.2-5) unstable; urgency=low

  * Use the --check option in both the initscript and the fancontrol
    script (closes: bug#582979).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 11:15:17 +0200

lm-sensors-3 (1:3.1.2-4) unstable; urgency=low

  * Check /etc/fancontrol before starting the daemon (closes:
    bug#582979).
  * Add a README.Debian in lm-sensors package. (closes: bug#576932).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 11:33:23 +0200

lm-sensors-3 (1:3.1.2-3) unstable; urgency=medium

  * Add 09-sensord-multiple-chips.diff from upstream to fix multiple
    chip support in sensord (closes: bug#581036).
  * Fix error message in lm-sensors init script (closes: bug#581350).
  * Remove /etc/rc1.d/K20sensord on upgrade (closes: bug#573898). 
  * Fix typos in pwmconfig (closes: bug#570344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 23:11:32 +0200

lm-sensors-3 (1:3.1.2-2) unstable; urgency=low

  * Detect old configuration files in init script (closes: bug#568627).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Feb 2010 21:12:44 +0100

lm-sensors-3 (1:3.1.2-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Feb 2010 20:15:07 +0100

lm-sensors-3 (1:3.1.1-6) unstable; urgency=low

  * Move fancontrol.txt to the fancontrol package (closes: bug#567181). 
  * Remove old init scripts if they are not modified an upgrading from
    version (<< 1:3.1.1-5). (closes: bug#567183).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 22:11:25 +0100

lm-sensors-3 (1:3.1.1-5) unstable; urgency=low

  * Split-out fancontrol in a separate package (closes: bug#540677).
  * Restart fancontrol in postinst instead of starting it (closes: 
    bug#552197).
  * Don't stop fancontrol in runlevel 0 1 6 (closes: bug#563835).
  * Don't stop sensord in runlevel 1.
  * Ignore failures to set sensors at boot time (closes: bug#566184,
    bug#556361).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 00:00:33 +0100

lm-sensors-3 (1:3.1.1-4) unstable; urgency=low

  * Bumped Standards-version to 3.8.3 (no changes).
  * Drop libsensors4 postinst script and the dependency on makedev | 
    udev. This part has been moved to i2c-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:20:17 +0200

lm-sensors-3 (1:3.1.1-3) unstable; urgency=low

  * *.init: depends on $remote_fs instead of $local_fs (closes: 
    bug#541363). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 20:18:11 +0200

lm-sensors-3 (1:3.1.1-2) unstable; urgency=low

  * Stop managing /etc/sensors3.conf using ucf, as user changes should now
    go in /etc/sensors.d/.
  * Mention /etc/sensors.d in libsensors4.NEWS.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 Jul 2009 21:46:24 +0000

lm-sensors-3 (1:3.1.1-1) unstable; urgency=low

  * New upstream version. 
    - LDFLAGS is taken into account by the build system (closes: 
      bug#513171).
  * debian/sensord.init: add a 'sleep 1' between stop and start for
    the restart action (closes: #528276).
  * debian/*.init: add status actions (closes: #525899).
  * Update sensord.README.Debian to mention /etc/sensors3.conf instead
    of /etc/sensors.conf (closes: #520056).
  * Bumped Standards-version to 3.8.2.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 Jun 2009 21:59:56 +0200

lm-sensors-3 (1:3.1.0-2) unstable; urgency=low

  * lm-sensors.preinst: make sure that the directory exists before
    trying to remove them (closes: bug#518976).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 Mar 2009 19:48:36 +0100

lm-sensors-3 (1:3.1.0-1) unstable; urgency=low

  * New upstream version.
  * lm-sensors.fancontrol.init: remove pidfile on stop action (closes:
    bug#504304).
  * lm-sensors.fancontrol.init: decrease the stop/start time to 3
    seconds (closes: bug#504379).
  * libsensors4.README.Debian: update.
  * libsensors4.symbols: new file. 
  * lm-sensors.preinst: remove /etc/modprobe.d/i2c on install/upgrade
    (closes: bug#518111).
  * patches/06-sensors-detect-debian.patch: update.
  * patches/07-sensors-detect-fixes.patch: remove (merged upstream).
  * patches/07-sensors-detect-modprobe.conf.patch: new patch to create
    files with .conf extension in /etc/modprobe.d/.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 05 Mar 2009 01:30:18 +0100

lm-sensors-3 (1:3.0.2-2) unstable; urgency=low

  * Remove stop links from rc0 and rc6 (closes: bug#495547).
  * Add a NEWS.Debian file from libsensors4 explaining how to
    generate /etc/sensors3.conf from /etc/sensors.conf (closes:
    bug#496703).
  * Bumped Standards-version to 3.8.0
    - Add debian/README.source

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Sep 2008 12:40:12 +0200

lm-sensors-3 (1:3.0.2-1) unstable; urgency=low

  * New upstream version.
  * Use quilt for patch management.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:57:23 +0200

lm-sensors-3 (1:3.0.1-5) unstable; urgency=low

  * /etc/init.d/fancontrol: use --startas instead of --exec. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Apr 2008 00:03:27 +0200

lm-sensors-3 (1:3.0.1-4) unstable; urgency=low

  * Fix labels/compute/set override (closes: bug#474596).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Apr 2008 01:15:52 +0200

lm-sensors-3 (1:3.0.1-3) unstable; urgency=low

  * Remove /etc/modutils/i2c in preinst script (closes: bug#470611).
  * Parse the configuration file in C locale (closes: bug#469333).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 18 Mar 2008 17:23:40 +0100

lm-sensors-3 (1:3.0.1-2) unstable; urgency=medium

  * Don't try to convert the configuration file from version 2, let the user
    do this task (closes: bug#468862, bug#467056).
  * Suggest i2c-tools instead of i2c (closes: bug#460997).
  * Rework debian/copyright.
  * Add an iniscript for fancontrol (closes: bug#400770).
  * Set minimum load average value to 0 in sensord (closes: bug#446313).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 22:24:39 +0100

lm-sensors-3 (1:3.0.1-1) unstable; urgency=low

  * New upstream version.
  * Make /etc/init.d/lm-sensors LSB compliant.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 31 Jan 2008 18:03:33 +0100

lm-sensors-3 (1:3.0.0-5) unstable; urgency=low

  * Move sensors3.conf file to libsensors4.
  * Only convert /etc/sensors.conf into /etc/sensors3.conf if the former has
    been modified. Otherwise, install the default file.
  * Fix voltage value references in compute statements in the default
    configuration file and in the configuration file converter
    (closes: bug#456774).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jan 2008 11:11:02 +0100

lm-sensors-3 (1:3.0.0-4) unstable; urgency=medium

  * Apply upstream fix for sensord.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Dec 2007 15:14:10 +0100

lm-sensors-3 (1:3.0.0-3) unstable; urgency=low

  * Ship sensors-detect in the lm-sensors package (closes: bug#454528).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Dec 2007 00:53:24 +0100

lm-sensors-3 (1:3.0.0-2) unstable; urgency=low

  * Only install isaset and isadump on i386 and amd64.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Dec 2007 22:51:33 +0100

lm-sensors-3 (1:3.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Nov 2007 12:35:24 +0100

lm-sensors (1:2.10.5-2) unstable; urgency=low

  * Fix sensors-detect (closes: bug#451296). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Nov 2007 22:19:59 +0100

lm-sensors (1:2.10.5-1) unstable; urgency=low

  * New upstream release. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Nov 2007 15:12:28 +0100

lm-sensors (1:2.10.4-3) unstable; urgency=low

  * Don't print an error message if the die-code entry does not exists. 
    (closes: bug#443060). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 Sep 2007 10:27:34 +0200

lm-sensors (1:2.10.4-2) unstable; urgency=low

  * pwmconfig: reprint the prompt each time (closes: bug#400609). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Sep 2007 17:30:06 +0200

lm-sensors (1:2.10.4-1) unstable; urgency=low

  * New upstream release.
  * Use dh_installmodules with -n (closes: bug#432413).
  * Remove "ASUS rumors" from the default configuration files (closes:
    bug#426128).
  * Remove the 2.4 kernel part from the description (closes: bug#432969). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Jul 2007 15:47:11 +0200

lm-sensors (1:2.10.3-1) unstable; urgency=low

  * New upstream release.
  * debian/lm-sensors.init, debian/sensord.init: add lsb header.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 May 2007 02:22:30 +0200

lm-sensors (1:2.10.1-3) unstable; urgency=medium

  * Update upstream URL.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 01:38:06 +0100

lm-sensors (1:2.10.1-2) unstable; urgency=low

  * libsensors3: don't source debconf from postinst (closes: bug#390034).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Sep 2006 01:46:58 +0200

lm-sensors (1:2.10.1-1) unstable; urgency=low

  * New upstream version.
  * Dropped debconf notes. I just hope the users won't report too much bugs
    as experience has shown that a lot of users are not capable of reading
    /usr/share/doc/.../README.Debian (closes: bug#388522, bug#388918).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Sep 2006 00:30:08 +0200

lm-sensors (1:2.10.0-9) unstable; urgency=low

  * Remove the dependency on sysvinit (Closes: bug#386133).
  * Add to libsensors3.README.Debian that 2.4 kernels are deprecated.
  * Drop the recommends on linux-image-2.6 | lm-sensors-source as users
    are supposed to use 2.6 kernels.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  5 Sep 2006 16:21:03 +0200

lm-sensors (1:2.10.0-8) unstable; urgency=medium

  * 2.4 kernels are deprecated, stop building lm-sensors-source and
    kernel-patch-2.4-lm-sensors (Closes: bug#385279).
  * Disable lm85 /sys entries that while be introduced in 2.6.19+ 
    kernels (Closes: #372740).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 30 Aug 2006 12:05:15 +0200

lm-sensors (1:2.10.0-7) unstable; urgency=low

  * Fixed a typo in mkpatch.pl: s/71085/71805/ (Closes: bug#369506).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 May 2006 06:42:33 +0200

lm-sensors (1:2.10.0-6) unstable; urgency=low

  * Change the dependency from makedev | devfsd to makedev | udev.
  * Bumped Standards-version to 3.7.2 (No changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 May 2006 00:16:50 +0200

lm-sensors (1:2.10.0-5) unstable; urgency=low

  * 2.4 kernels are deprecated, stop building the modules on i386.
  * Added Galician debconf translation, thanks to Jacobo Tarrio (closes: 
    bug#362138).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Apr 2006 15:49:45 +0200

lm-sensors (1:2.10.0-4) unstable; urgency=low

  * Update Russian debconf translation, thanks to Yuri Kozlov (closes:
    bug#360962). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  6 Apr 2006 17:23:14 +0200

lm-sensors (1:2.10.0-3) unstable; urgency=low

  * Move the startup script from position 35 to position 47, so that it
    is called after mountnfs (closes: bug#356195).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Mar 2006 22:50:44 +0100

lm-sensors (1:2.10.0-2) unstable; urgency=low

  * Rebuild against libsysfs2.

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  5 Mar 2006 13:58:25 +0100

lm-sensors (1:2.10.0-1) unstable; urgency=low

  * New upstream version.
  * Added Danish debconf translation, thanks to Claus Hindsgaul (closes:
    bug#352062).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 15 Feb 2006 12:34:13 +0100

lm-sensors (1:2.9.2-8) unstable; urgency=low

  * Fixed udev detection (closes: bug#350404). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Jan 2006 23:07:25 +0100

lm-sensors (1:2.9.2-7) unstable; urgency=low

  * Added a note about sensors limits in /usr/share/doc/sensord/README.Debian
    (closes: bug#336613).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Dec 2005 01:26:25 +0100

lm-sensors (1:2.9.2-6) unstable; urgency=low

  * Fixed Suggests line: s/ inux/linux/g (closes: bug#340614).
  * Fixed FSF address in copyright file.  

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Nov 2005 20:10:31 +0100

lm-sensors (1:2.9.2-5) unstable; urgency=low

  * Also recommends linux-image-2.6 as an alternative to kernel-image-2.6, as
    aptitude is a bit dumb and can't cope with the current recommends line
    (closes: bug#335746).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Oct 2005 02:36:08 +0200

lm-sensors (1:2.9.2-4) unstable; urgency=low

  * Moved README.Debian from the lm-sensors package to the libsensors3
    package (closes: bug#333323).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Oct 2005 13:42:48 +0200

lm-sensors (1:2.9.2-3) unstable; urgency=low

  * Added Swedish debconf translation. Thanks to Daniel Nylander (closes:
    bug#330823).

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  3 Oct 2005 00:31:22 +0200

lm-sensors (1:2.9.2-2) unstable; urgency=low

  * The conflict between i2c-viapro and via686a modules has been fixed in
    kernel 2.6.10. As the problem is not present anymore in kernels shipped
    by Debian, don' blacklist i2c-viapro anymore.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Sep 2005 15:24:28 +0200

lm-sensors (1:2.9.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed the detection of RAM in sensord (closes: bug#328268).
  * Dropped the debconf note about upgrading from version < 2.7 as
    woody -> etch upgrades are not supported.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  7 Sep 2005 16:01:38 +0200

lm-sensors (1:2.9.1-7) unstable; urgency=high

  * Urgency set to high due to security fix.
  * Fixed and insecure tempfile usage in pwmconfig. Thanks to Javier
    Fernández-Sanguino Peña <jfs@computer.org> for the bug report and the
    patch (closes: bug#324193).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2005 22:12:54 +0200

lm-sensors (1:2.9.1-6) unstable; urgency=low

  * Changed librrd0-dev into librrd2-dev in the build-dependencies (closes:
    bug#323650).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Aug 2005 22:01:36 +0200

lm-sensors (1:2.9.1-5) unstable; urgency=low

  * Explain why gcc-3.3 is used to build modules in
    /usr/share/doc/lm-sensors-source/README.Debian.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Aug 2005 01:16:47 +0200

lm-sensors (1:2.9.1-4) unstable; urgency=low

  * Build the modules with gcc-3.3

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  8 Jul 2005 11:24:06 +0200

lm-sensors (1:2.9.1-3) unstable; urgency=low

  * Build-depends on debhelper (>= 4.9.3) to use a working dh_installmodules. 
  * Bumped Standards-version to 3.6.2 (No changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 29 Jun 2005 07:33:17 +0200

lm-sensors (1:2.9.1-2) unstable; urgency=low

  * Added Vietnamese debconf translation. Thanks to Clytie Siddall (closes:
    bug#312510).
  * Fixed a typo in the debconf template. Thanks to Clytie Siddall (closes:
    bug#312511).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  9 Jun 2005 01:17:29 +0200

lm-sensors (1:2.9.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Apr 2005 07:33:35 +0200

lm-sensors (1:2.9.0-19) unstable; urgency=medium

  * Patch pulled from CVS: read /etc/udev.conf to know how to detect 
    the presence of udev.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Mar 2005 23:02:35 +0200

lm-sensors (1:2.9.0-18) unstable; urgency=medium

  * Also detect udev with /dev/.udevdb (closes: bug#299563).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Mar 2005 10:47:49 +0100

lm-sensors (1:2.9.0-17) unstable; urgency=high

  * Don't build p4b_smbus.o on non-x86 machines

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Mar 2005 02:14:57 +0100

lm-sensors (1:2.9.0-16) unstable; urgency=high

  * Rebuilt against latest i2c-source.
  * Conflicts with current i2c modules.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  9 Mar 2005 20:32:13 +0100

lm-sensors (1:2.9.0-15) unstable; urgency=low

  * Added support for it8712 in sensord (closes: bug#298168). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  6 Mar 2005 00:57:07 +0100

lm-sensors (1:2.9.0-14) unstable; urgency=low

  * Remove wrong installed file /etc/blacklist.d/lm-sensors and the
    associated directory in preinst (closes: bug#295519).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Feb 2005 18:39:16 +0100

lm-sensors (1:2.9.0-13) unstable; urgency=low

  * Disable error message of /etc/init.d/sensors is monitoring modules 
    are not loaded (closes: bug#295160).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Feb 2005 07:44:50 +0100

lm-sensors (1:2.9.0-12) unstable; urgency=medium

  * Fixed location of hotplug's blacklist directory.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  8 Feb 2005 01:07:03 +0100

lm-sensors (1:2.9.0-11) unstable; urgency=low

  * Fixed a bad UTF-8 character in fancontrol(8). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Jan 2005 00:22:01 +0100

lm-sensors (1:2.9.0-10) unstable; urgency=low

  * Added export-objs-target for amd756 in mkpatch.pl (closes: bug#292096).
  * Replaced the patch about the temp file creation by the upstream one.
    Basically it uses mktemp instead of tempfile, as the former seems to be
    more common.
  * Added manpage for pwmconfig and fancontrol. They were also sent upstream
    and will be included in the next version of lm-sensors.
  * Pulled support for sis5595 2.6 kernel driver from CVS.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Jan 2005 01:58:19 +0100

lm-sensors (1:2.9.0-9) unstable; urgency=high

  * Applied a patch from Javier Fernández-Sanguino Peña to fix an insecure
    temp file creation (closes: bug#291957). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 Jan 2005 13:45:23 +0100

lm-sensors (1:2.9.0-8) unstable; urgency=low

  * Fixed copyright (closes: bug#290204).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Jan 2005 08:09:58 +0100

lm-sensors (1:2.9.0-7) unstable; urgency=low

  * Build against kernel 2.4.27-2 (closes: bug#289913).
  * Explain that the loadavg is not scaled anymore by sensord in NEWS 
    (closes: bug#289921).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jan 2005 22:38:17 +0100

lm-sensors (1:2.9.0-6) unstable; urgency=low

  * Fixed a typo in sensors-detect (closes: bug#289871). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jan 2005 17:25:46 +0100

lm-sensors (1:2.9.0-5) unstable; urgency=medium

  * Added a note to the FAQ and to sensors-detect about via686a and
    i2c-viapro conflict.
  * Prevent this module to be automatically loaded by hotplug.
  * Closes: bug#289798.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jan 2005 12:12:34 +0100

lm-sensors (1:2.9.0-4) unstable; urgency=high

  * Urgency set to high as it may hold KDE security update into sid.
  * Fixed display of error message in sensord (closes: bug#288671).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 Jan 2005 22:30:26 +0100

lm-sensors (1:2.9.0-3) unstable; urgency=low

  * Changed all call to dh_ from -a to -s.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  3 Jan 2005 03:01:05 +0100

lm-sensors (1:2.9.0-2) unstable; urgency=low

  * Removed build rules. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  3 Jan 2005 00:23:03 +0100

lm-sensors (1:2.9.0-1) unstable; urgency=medium

  * New upstream version.
  * The upstream has restore compatibility with 2.4 kernels, so having
    lm-sensors and lm-sensors-old in Debian is not necessary anymore.
  * Generate lm-sensors-source and lm-sensors-2.4* modules from this
    package instead of lm-sensors-old.
  * Fixed README.Debian file (closes: bug#286045).
  * Fixed package name for module assistant (closes: bug#287558).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  2 Jan 2005 19:31:29 +0100

lm-sensors (2.8.8-7) unstable; urgency=high

  * Fixed kernel version detection (closes: bug#280828, bug#282406).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Nov 2004 10:43:40 +0000

lm-sensors (2.8.8-6) unstable; urgency=low

  * Only install isaset on i386 arches. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Nov 2004 13:21:15 +0000

lm-sensors (2.8.8-5) unstable; urgency=low

  * Also install /usr/bin/isaset and the corresponding manpage. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Nov 2004 00:34:52 +0100

lm-sensors (2.8.8-4) unstable; urgency=low

  * Fixed de debconf translation (really closes: bug#280997).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Nov 2004 21:37:58 +0100

lm-sensors (2.8.8-3) unstable; urgency=low

  * Updated de debconf translation. Thanks to Erik Schanze (closes:
    bug#280997).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Nov 2004 21:37:56 +0100

lm-sensors (2.8.8-2) unstable; urgency=high

  * Fixed the output of sensors-detect which was not printing the modules
    to load.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Nov 2004 21:13:28 +0000

lm-sensors (2.8.8-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  8 Oct 2004 21:09:17 +0200

lm-sensors (2.8.7-8) unstable; urgency=high

  * Removed patch generation for kernels 2.4.24 to 2.4.26 (closes:
    bug#271248).
  * sensors-detect: automatically adds line to /etc/modules if the user wants
    to (closes: bug#266227).
  * Urgency set to high as this bug affects sarge.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Sep 2004 14:33:27 +0200

lm-sensors (2.8.7-7) unstable; urgency=high

  * Depends on sed (>= 4.0.5-1) (closes: bug#267213).
  * Removed useless debconf note (closes: bug#268285).
  * Updated fr, cs and it debconf translations (closes: bug#268146, #268570,
    #268683).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Aug 2004 01:10:14 +0200

lm-sensors (2.8.7-6) unstable; urgency=low

  * Fixed a typo in sensors-detect (closes: bug#266966). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Aug 2004 00:18:36 +0200

lm-sensors (2.8.7-5) unstable; urgency=low

  * Don't fail if the debconf note has already been seen.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Aug 2004 23:32:55 +0200

lm-sensors (2.8.7-4) unstable; urgency=low

  * Fixed a typo in postinst.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Aug 2004 17:34:22 +0200

lm-sensors (2.8.7-3) unstable; urgency=high

  * Added patch generation for kernel 2.4.27
  * Urgency set to high as 2.4.27 is shipped with Sarge.
  * The previous patch to sensors-detect was erroneous. Fixed.
  * Don't run sensors -s on install. The user hasn't run sensors-detect
    at that time.
  * Suggests: read-edid (closes: bug#265890).
  * Add a debconf note to explain how to configure lm-sensors (closes:
    bug#266227).
  * Depends on sysvinit to make sure /sys is mounted (closes: bug#266227).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Aug 2004 15:55:55 +0200

lm-sensors (2.8.7-2) unstable; urgency=medium

  * /usr/sbin/sensors-detect: don't check for i2c device node when using 
    udev. They will be created when the module is loaded (closes: 
    bug#254556).
  * Updated Brazilian debconf translation. Thanks to Andre Luis Lopes
    (closes: bug#264216).
  * Updated Dutch debconf translation. Thanks to Cobaco (closes:
    bug#260292).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  8 Aug 2004 01:33:44 +0200

lm-sensors (2.8.7-1) unstable; urgency=low

  * New upstream version. 
  * sensors-detect: display instructions depending on the kernel version 
    (closes: bug#253892).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jun 2004 00:03:00 +0200

lm-sensors (2.8.6-13) unstable; urgency=low

  * Added Italian debconf translation. Thanks to Luca Monducci (closes:
    bug#251739).
  * Removed patch generation for kernels 2.4.19, 2.4.20, 2.4.21  and 
    2.4.22 as they have been removed from Debian.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 May 2004 22:45:50 +0200

lm-sensors (2.8.6-12) unstable; urgency=low

  * Added Catalan debconf translation. Thanks to Aleix Badia i Bosch 
    (closes: bug#250112).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 May 2004 13:33:00 +0200

lm-sensors (2.8.6-11) unstable; urgency=low

  * Added Czech debconf translation. Thanks to Marcel Sebek (closes:
    bug#249284).
  * Don't install /etc/modprobe.d/i2c. Its contents is already provided
    by module-init-tools (closes: bug#249097).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 17 May 2004 12:39:39 +0200

lm-sensors (2.8.6-10) unstable; urgency=low

  * Added some clarification to README.Debian about i2c-proc.
  * Added and example on how to enable/disable beep into /etc/sensors.conf
    (closes: bug#99665).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 May 2004 00:05:14 +0200

lm-sensors (2.8.6-9) unstable; urgency=low

  * Invert beep bits for the AS99127F in the driver instead of in userspace
    tools. If you are using prebuilt modules, use a version >= 2.7.0-9. If
    you are using a 2.6 kernel, the fix would be included in the kernel soon,
    problably in version 2.6.7. Meanwhile, you can use that patch:
    http://archives.andrew.net.au/lm-sensors/msg07760.html
    (closes: bug#209299).
  * Fixed devfs detection in sensors-detect (closes: bug#247719).
  * Correctly display beep settings on w83781d chips (closes: bug#121832).
  * Dont Build-Depends on make, it is an essential package.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  7 May 2004 10:42:23 +0200

lm-sensors (2.8.6-8) unstable; urgency=low

  * Updated French debconf translation. Thanks to Michel Grentzinger (closes:
    bug#246812).
  * Added a patch which also in the CVS to disable the average in RRD (closes:
    bug#244034).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  1 May 2004 20:56:31 +0200

lm-sensors (2.8.6-7) unstable; urgency=medium

  * Removed Thinkpad warning. All the combination possible in Debian with
    modules and userspace tools are considered to be safe (closes:
    bug#246674).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  1 May 2004 11:57:54 +0200

lm-sensors (2.8.6-6) unstable; urgency=low

  * Added patch for kernel 2.4.26 into kernel-patch-2.4-lm-sensors.
  * Updated Japanese debconf translation. Thanks to Kenshi Muto (closes:
    bug#245423).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Apr 2004 10:10:57 +0200

lm-sensors (2.8.6-5) unstable; urgency=low

  * Read the values once after setting the limits (closes: bug#244129).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Apr 2004 23:52:25 +0200

lm-sensors (2.8.6-4) unstable; urgency=low

  * Added a note for people upgrading from a version prior to 2.6.3 telling
    that the comparison of negatives has changed (closes: bug#145235).
  * Mentioned the kernel config parameter SYSCTL in case /proc/sys is not
    found (closes: bug#200966).
  * Added details to /etc/sensors.conf for Abit BP6 motherboard (closes:
    bug#57912).
  * Included support for Nvidia Nforce2 based mainboard into the kernel patch
    (closes: bug#243930).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Apr 2004 13:22:16 +0200

lm-sensors (2.8.6-3) unstable; urgency=critical

  * Pass --debconf-ok option to ucf (closes: bug#243815, #243818).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 15 Apr 2004 00:44:36 +0200

lm-sensors (2.8.6-2) unstable; urgency=critical

  * Set urgency to critical, as the current version breaks upgrade in testing.
  * Moved back libsensors.3 to libsensors-dev (closes: bug#243746).
  * Make libsensors-dev conflicts with libsensors3 (<= 2.8.6-1).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Apr 2004 23:12:11 +0200

lm-sensors (2.8.6-1) unstable; urgency=medium

  * New upstream version (closes: #243025):
    - Fixed in7 and fan3 for it87 chips in sensord (closes: bug#231699).
    - Support for 2.6.5 and later kernels (closes: bug#242296).
  * Display a message if sensors support is not enabled (closes: bug#64042).
  * Display a message if running kernel older than 2.6.5.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 13 Apr 2004 17:16:12 +0200

lm-sensors (2.8.5-4) unstable; urgency=low

  * Provide a new package that contains patch for lm-sensors against 
    2.4 kernels (closes: bug#238437).
  * Don't pass -n option to the second echo in /etc/init.d/lm-sensors
    (closes: bug#238429).
  * Install a modutils file in /etc/{modprobe.d,modutils}.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 Mar 2004 08:59:40 +0100

lm-sensors (2.8.5-3) unstable; urgency=low

  * Removed dependency on dmidecode as it is not need anymore since
    lm-sensors 2.8.2.
  * Patch from CVS: fix segfault that occurs with -a -r parameters with
    an empty rrd file (closes: bug#201605).
  * Added pwmconfig and fancontrol to debian/lm-sensors.install (closes:
    bug#237913).
  * Added a patch to display the degree sign in the current locale (closes:
    bug#160737, #178510).
  * Removed a broken URL from the FAQ (closes: bug#99664).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Mar 2004 07:26:27 +0100

lm-sensors (2.8.5-2) unstable; urgency=high

  * Urgency set to high as we really need to have this package in Sarge.
  * Only build isadump on x86 architectures.
  * Manage /etc/sensors.conf with ucf (closes: bug#237780).
  * Fixed sensord.8 (closes: bug#234588).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 Mar 2004 17:18:01 +0100

lm-sensors (2.8.5-1) unstable; urgency=low

  * New upstream version.
  * Fixed manpage (closes: bug#99657).
  * Create i2c-* devices only if need. Dropped debconf message (closes:
    bug#231011).
  * Moved call to 'sensors -s' from sensord initscript to lm-sensors
    initscript (closes: bug#115043).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  6 Mar 2004 09:32:18 +0100

lm-sensors (2.8.4-1) unstable; urgency=low

  * New maintainer (closes: #219172).
  * New upstream version.
    - sysfs support (Closes: #207012, #224884, #223884).
  * Removed code to build modules from debian/rules.
  * Don't put INSTALL in /usr/share/doc/lm-sensors anymore.
  * Have libsensors3 suggests lm-sensors-mod-2.7 | kernel-image-2.6
  * Fixed typo in sensors-detect(8). (Closes: #219838).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Feb 2004 13:54:52 +0100

lm-sensors (2.8.1-2) unstable; urgency=low

  * Use the standalone dmidecode package, which has a newer dmidecode
    than what lm-sensors includes.
  * Standards-version 3.6.1.0.  (No changes)
  * Fix sensors-detect to work if we're using devfs, but no i2c bus
    driver is loaded.

 -- David Z Maze <dmaze@debian.org>  Sat, 15 Nov 2003 11:45:16 -0500

lm-sensors (2.8.1-1) unstable; urgency=low

  * New upstream release.  Modified sensord source to build against
    newer DDCMON IDs.  (Closes: #208385, #219601)
  * Update debian/rules to call i2ccheck.pl via perl, so it doesn't
    matter whether or not that script is executable.  (Closes: #215301)
  * Have libsensors2 only Suggests: lm-sensors-mod-2.8, rather than
    Recommends: it.  The main lm-sensors package still Recommends:
    the kernel modules.  This is so that other things can depend on
    the library package (of present note, libsnmp) without aptitude
    trying to drag in a kernel module and probably also a new kernel.
    (Closes: #216093)
  * Updated Russian Debconf translation.  (Closes: #214338, #219260)
  * Add Japanese Debconf translation; thanks to Kenshi Muto.
    (Closes: #211955)
  * Don't build kernel modules, since building i2c modules conflicts
    with things in the kernel and we'd otherwise depend on those.

 -- David Z Maze <dmaze@debian.org>  Sun,  9 Nov 2003 20:03:48 -0500

lm-sensors (2.8.0-2) unstable; urgency=low

  * Build vs. kernel 2.4.22-1.
  * Make sure libsensors.so points at libsensors.so.2.  (Closes: #209389)

 -- David Z Maze <dmaze@debian.org>  Sat, 27 Sep 2003 18:03:54 -0400

lm-sensors (2.8.0-1) unstable; urgency=low

  * New upstream release.  The modules ABI changed, so you need both
    i2c and lm-sensors 2.8.0 modules, not in-kernel modules.  Upstream
    also changed the libsensors soname.  (Closes: #183751, #202154)
  * Build vs. kernel 2.4.21-4.
  * Add Dutch debconf translation, from Bart Cornelis <cobaco@linux.be>.
    (Closes: #205354)

 -- David Z Maze <dmaze@debian.org>  Mon,  1 Sep 2003 10:11:25 -0400

lm-sensors (2.7.0-6) unstable; urgency=low

  * Make the libsensors.so link in libsensors-dev point at the right
    place, libsensors.so.1.debian.1.
  * Add Portugese (Brazilian) debconf translation, from Andre Luis
    Lopes <andrelop@debian.org>.  (Closes: #198259)
  * Add French debconf translation, from Michel Grentzinger
    <mic.grentz@online.fr>.  (Closes: #197309)
  * Get Perl dependencies correct, using dh_perl.  (Closes: #196237)

 -- David Z Maze <dmaze@debian.org>  Sun, 22 Jun 2003 15:10:50 -0400

lm-sensors (2.7.0-5) unstable; urgency=low

  * Build vs. kernel 2.4.20-3.

 -- David Z Maze <dmaze@debian.org>  Mon,  2 Jun 2003 11:26:11 -0400

lm-sensors (2.7.0-4) unstable; urgency=low

  * Rename libsensors.so.1 to libsensors.so.1.debian.1, and change
    the package name to libsensors1.  This due to a change in the
    library ABI upstream which isn't reflected in an soname change.
    (Closes: #191572, #193082)

 -- David Z Maze <dmaze@debian.org>  Tue, 20 May 2003 19:15:34 -0400

lm-sensors (2.7.0-3) unstable; urgency=low

  * Make libsensors-dev depend on exact version of libsensors1.
    (Addressing #191572.)
  * Move libsensors-dev to section libdevel.
  * Use debhelper 4 everywhere.  In the process, stop calling
    dh_undocumented.
  * Convert to po-debconf.

 -- David Z Maze <dmaze@debian.org>  Thu,  1 May 2003 23:31:05 -0400

lm-sensors (2.7.0-2) unstable; urgency=low

  * Build vs. kernel 2.4.20-1.
  * Update to policy 3.5.9.0 (no changes).

 -- David Z Maze <dmaze@debian.org>  Sun, 13 Apr 2003 15:17:16 -0400

lm-sensors (2.7.0-1) unstable; urgency=low

  * New upstream release.  This depends on version 2.7.0 of i2c, which means
    that it can't use the in-kernel drivers.
  * Take proposed changes from upstream to make logging to a round-robin
    database an option in /etc/default/sensord.

 -- David Z Maze <dmaze@debian.org>  Wed,  1 Jan 2003 20:15:57 -0500

lm-sensors (2.6.5-5) unstable; urgency=low

  * Automatically build kernel modules for kernel 2.4.20, doing deep
    black magic to figure out what flavors exist.
  * Patch the upstream Makefile to only check include/linux/autoconf.h
    to see if a kernel is SMP or not, don't look in the kernel's Makefile.
    (Important since kernel-build-* doesn't include the Makefile; also
    differently addresses #132394.)
  * Hopefully this will work for all architectures and all of the stock
    kernels.  *crosses fingers*

 -- David Z Maze <dmaze@debian.org>  Wed, 11 Dec 2002 18:36:36 -0500

lm-sensors (2.6.5-4) unstable; urgency=low

  * Pass LINUX=$(KSRC) to 'make clean', to avoid trying to look in
    /usr/src/linux when we build modules.  (Closes: #132394)
  * Updated to standards-version 3.5.8.0.  No longer ask permission to create
    i2c devices.

 -- David Z Maze <dmaze@debian.org>  Fri,  6 Dec 2002 21:24:15 -0500

lm-sensors (2.6.5-3) unstable; urgency=low

  * Pulled forward some changes from upstream.  (I wish cvs-buildpackage
    dealt better with this; I think it's CVS' fault.)  Updated debian/rules
    to correctly deal with the newer makefile.
  * Put kernel modules in /lib/modules/$KVERS/lm-sensors, not misc.

 -- David Z Maze <dmaze@debian.org>  Sun, 24 Nov 2002 12:01:48 -0500

lm-sensors (2.6.5-2) unstable; urgency=low

  * Make kernel-package rules understand $(ROOT_CMD).  (Closes: #161799)
  * Correctly separated out building (arch-dependent) binary packages
    from (arch-all) module source in debian/rules.
  * Add 'debian/rules modules-nokpkg' to build and install kernel modules
    locally without building a package, since the working 'make' invocation is
    kind of gross.  Suggest using it in lm-sensors-source's README.Debian
    file.  This addresses the concern brought out by #165508, though it
    doesn't actually make the requested change.

 -- David Z Maze <dmaze@debian.org>  Tue, 12 Nov 2002 00:09:53 -0500

lm-sensors (2.6.5-1) unstable; urgency=low

  * New upstream version.  (Closes: #157121, #161058)

 -- David Z Maze <dmaze@debian.org>  Thu, 31 Oct 2002 22:58:08 -0500

lm-sensors (2.6.4-3) unstable; urgency=low

  * Document the cause of a "no rule to make target `rrd.h'" error,
    namely ignoring the instructions in README.Debian and blindly
    running make.  (Closes: #157240)
  * Change from being an i386-only package to being Architecture: any
    (or all for lm-sensors-source); claims that this will work on at
    least PPC, MIPS, and ARM.

 -- David Z Maze <dmaze@debian.org>  Mon, 19 Aug 2002 09:52:38 -0400

lm-sensors (2.6.4-2) unstable; urgency=low

  * The "'Recursive Make Considered Harmful' Considered Harmful" release.
  * When building kernel modules, only pay attention to the directories
    needed to do said build; don't try to bring in dependencies from the
    user-space utilities.  (Closes: #155430)

 -- David Z Maze <dmaze@debian.org>  Tue,  6 Aug 2002 13:15:01 -0400

lm-sensors (2.6.4-1) unstable; urgency=low

  * New upstream release.  (Closes: #155077, #154874)
  * The Debian diff for the sensors-detect script was huge.  Merge in a
    lot of changes the upstream made; this should make the script able
    to detect a lot more hardware.  The diff is back down to not generating
    an /etc/sysconfig script and outputting data for /etc/modules.
    (Closes: #147831)
  * Cause dh_clean to be called with the module tree's debian/control
    file, resulting in module build directories getting cleaned properly
    too.  (Closes: #116696)

 -- David Z Maze <dmaze@debian.org>  Sun,  4 Aug 2002 11:19:12 -0400

lm-sensors (2.6.3-5) unstable; urgency=low

  * Okay, don't actually depend on the exact kernel version.  (Herbert Xu
    claims the kernel ABI shouldn't change appreciably between kernel builds.)

 -- David Z Maze <dmaze@debian.org>  Tue, 16 Apr 2002 21:13:13 -0400

lm-sensors (2.6.3-4) unstable; urgency=low

  * Don't just Recommend the kernel we built against; Depend on it,
    and more precisely, depend on the exact version that was used.

 -- David Z Maze <dmaze@debian.org>  Mon, 15 Apr 2002 10:43:56 -0400

lm-sensors (2.6.3-3) unstable; urgency=low

  * Abandon genchanges.sh, and use debsign to sign the .changes file
    in 'debian/rules kdist'.  This is the same change that was made to
    i2c.

 -- David Z Maze <dmaze@debian.org>  Sun, 14 Apr 2002 18:33:21 -0400

lm-sensors (2.6.3-2) unstable; urgency=low

  * Make the debconf question about creating /dev entries priority high,
    and have it default to true.  (Closes: #142225)
  * Add a German translation of this question as well; thanks to
    Sebastian Feltel.  (Closes: #119938)

 -- David Z Maze <dmaze@debian.org>  Wed, 10 Apr 2002 23:43:51 -0400

lm-sensors (2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Added a helper script (i2ccheck.pl) to find the best version of
    i2c in between what's installed and what's in the kernel.  Use
    that now.
  * The glaring debconf warning points users to README.thinkpad in
    lm-sensors-source; install that.  (Closes: #110595)
  * Added Russian debconf template for lm-sensors...  (Closes: #136597)
  * ...and for lm-sensors-source.  Thanks to Ilgiz Kalmetev for these.
    (Closes: #136929)

 -- David Z Maze <dmaze@debian.org>  Tue,  2 Apr 2002 22:41:34 -0500

lm-sensors (2.6.2-1) unstable; urgency=low

  * New upstream release.  (Closes: #122102)
  * Update lm-sensors README.Debian to be clearer about how to build
    the kernel modules.  Mention that it's possible to use the i2c
    support in the kernel as of kernel 2.4.13.  Update package
    descriptions, too.
  * No longer have the lm-sensors kernel modules depend on the
    matching i2c kernel modules.  Still keep a suggests around, though.
    (Closes: #120554)
  * For now, disable checking for the existence of i2c modules headers
    when building lm-sensors modules.  This should allow building
    the modules with only the kernel support, but if you have neither
    kernel support nor external modules, you'll lose oddly.  Document
    this failure in the lm-sensors-source README.Debian; it should get
    fixed before too long.

 -- David Z Maze <dmaze@debian.org>  Mon,  3 Dec 2001 22:39:50 -0500

lm-sensors (2.6.1-3) unstable; urgency=low

  * Use the right check to see if we're using devfs or not.
    (Closes: #118404)

 -- David Z Maze <dmaze@debian.org>  Mon,  5 Nov 2001 22:29:42 -0500

lm-sensors (2.6.1-2) unstable; urgency=low

  * Ask before creating devices (via debconf), but only if we're not
    in a devfs world.  (Closes: #111432)
  * Various clean-ups to make lintian happy once again.

 -- David Z Maze <dmaze@debian.org>  Sun,  4 Nov 2001 21:37:31 -0500

lm-sensors (2.6.1-1) unstable; urgency=low

  * New upstream release.  Not that we support it, but patching 2.4.7
    or newer kernels should work with this release.  (Closes: #107774)

 -- David Z Maze <dmaze@debian.org>  Tue, 16 Oct 2001 10:58:21 -0400

lm-sensors (2.6.0-4) unstable; urgency=low

  * Eliminate duplicate dependencies on libsensors1.
  * Install extra utility programs (i2cdump, i2cset, isadump) with
    lm-sensors.
  * No longer have the source package conflict with suidmanager,
    since it no longer contains any non-standard permissions.
  * Update lm-sensors README.Debian to mention the dependency on
    i2c-source and known common problems.
  * Added German debconf template; thanks to Sebastian Feltel.
    (Closes: #106894)
  * lm-sensors now Recommends: (not just Suggests:) lm-sensors-mod.
  * 'debian/rules clean' no longer omits the kernel directories,
    so it should work even on the module source.  This should clean
    up people's nasty problems building modules.
    (Closes: #108107, #109065)

 -- David Z Maze <dmaze@debian.org>  Mon, 27 Aug 2001 17:11:55 -0400

lm-sensors (2.6.0-3) unstable; urgency=low

  * Let definitions of MODULE_LOC in the environment override the default
    setting.  (Fixes a problem reported on debian-user.)

 -- David Z Maze <dmaze@debian.org>  Sun, 15 Jul 2001 12:11:31 -0400

lm-sensors (2.6.0-2) unstable; urgency=low

  * Don't include /usr/src/modules or /usr/src/modules/lm-sensors
    in the lm-sensors-source package.  (Apparently this causes conflicts
    with things like pcmcia, and it's not necessary any more.)
    (Closes: #103829)

 -- David Z Maze <dmaze@debian.org>  Sat,  7 Jul 2001 16:10:05 -0400

lm-sensors (2.6.0-1) unstable; urgency=low

  * New upstream release.  This depends on the new upstream i2c as well.
  * !!! NOTE !!!  Upstream claims this release will permanently fry
    IBM ThinkPads!
  * Don't print "modprobe" before lines going in /etc/modules in
    sensors-detect script.  (Closes: #101934)
  * Run /usr/bin/sensors -s in /etc/init.d/sensord to initialize the
    sensor driver.  (Closes: #92792), though not optimally.
  * Good news for bug 94697: i2c-voodoo3 no longer interacts with
    ddcmon.  Bad news: it thinks it can talk to the eeprom driver, so
    there's pretty much the same symptom.  :-(

 -- David Z Maze <dmaze@debian.org>  Fri,  6 Jul 2001 11:09:18 -0400

lm-sensors (2.5.4-15) unstable; urgency=low

  * Add a default for MODULE_LOC in debian/rules, and explain a little
    more about it in lm-sensors-source's README.Debian.

 -- David Z Maze <dmaze@debian.org>  Sat, 26 May 2001 11:33:24 -0400

lm-sensors (2.5.4-14) unstable; urgency=low

  * lm-sensors-source now depends on bison and flex.  (Closes: #98409)
  * Check for common user errors when building modules.
  * Minor documentation updates.
  * Added logcheck ignore files to not listen to sensord syslog spew.
    (Closes: #98559)

 -- David Z Maze <dmaze@debian.org>  Sat, 26 May 2001 11:13:53 -0400

lm-sensors (2.5.4-13) unstable; urgency=low

  * New maintainer.  (Closes: #93350)
  * lm-sensors now depends on makedev | devfsd, so that people using devfs
    don't necessarily need to have makedev installed.  (Closes: #96309)
  * Don't unpack the source into /usr/src/modules directly; instead,
    build a tarball in /usr/src/lm-sensors.tar.gz.  This is more consistent
    with what ALSA, OpenAFS, etc. do.
  * It was never correct to put the package out of the modules source
    into $(MODULE_LOC)/..; put the package in $(KSRC)/.. instead.
    (Closes: #94577)  This also causes the package to not be lost under
    the root directory (half of #93545).
  * Build the correct makefile targets when building kernel modules.
    Without doing this, no modules get built.  (Closes: #93545)
  * If the kernel has i2c support, use its i2c headers; otherwise,
    depend on having the i2c-modules-source package installed.  There's
    not a good way to do this with dpkg dependencies.  :-/

 -- David Z Maze <dmaze@debian.org>  Mon, 14 May 2001 20:52:24 -0400

lm-sensors (2.5.4-12) unstable; urgency=low

  * Only build kernel modules in make-kpkg target; Closes: #89014
  * Added a few more notes about i2c.
  * Use MODULE_LOC, although I can imagine no way on earth that it can be
    better than using ../ . Of course, the bug reporter didn't bother to
    explain his particular configuration, or show any type of log, or any
    type of useful information, so this may not actually Closes: #91828.
    That's their tough luck.
  * Orphaned the package. I'm tired of this monkey on my back.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Apr 2001 21:21:26 -0700

lm-sensors (2.5.4-11) unstable; urgency=low

  * Made the library package only recommend lm-sensors. You may want 
    to install something like mrtgutils w/o dragging in all of
    lm-sensors.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 15:15:26 -0700

lm-sensors (2.5.4-10) unstable; urgency=low

  * Turned off -w in sensors-detect to shut it up when it finds non-hex
    values in /proc/bus/pci/devices. Closes: #87213

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Mar 2001 12:58:24 -0800

lm-sensors (2.5.4-9) unstable; urgency=low

  * Updated libsensors man page.
  * Made sensord stop spamming syslog every minute with debug messages.
    Closes: 88600

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 13:19:14 -0800

lm-sensors (2.5.4-8) unstable; urgency=low

  * New sensord package thanks to Merlin Hughes <merlin@merlin.org>

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Feb 2001 13:57:13 -0800

lm-sensors (2.5.4-7) unstable; urgency=low

  * Fixed override disparities. 

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jan 2001 12:27:52 -0800

lm-sensors (2.5.4-6) unstable; urgency=low

  * Downgraded dependancy on i2c-source to a suggests, as it is in the
    2.4.0 kernel. Closes: #83974

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jan 2001 13:50:25 -0800

lm-sensors (2.5.4-5) unstable; urgency=low

  * statoverride transition.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 14:58:59 -0800

lm-sensors (2.5.4-4) unstable; urgency=low

  * Re-upload with full source, as:
    "Rejected: lm-sensors_2.5.4-3.dsc refers to lm-sensors_2.5.4.orig.tar.gz, but I
    can't find it in Incoming or in the pool." -- becuase
    lm-sensors_2.5.4-2.tar.gz somehow got uploaded. Yuck!
  * Added kdist_clean target, even though it is pretty useless --
    the other kdist_ targets clean up after themselves. Closes: #81360

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Jan 2001 00:45:07 -0800

lm-sensors (2.5.4-2) unstable; urgency=low

  * README.Debian grammar fix, Closes: #80414

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Jan 2001 17:14:31 -0800

lm-sensors (2.5.4-1) unstable; urgency=low

  * New upstream release, which should fix build problems on recent 2.4pre
    kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Oct 2000 11:51:57 -0700

lm-sensors (2.5.2-3) unstable; urgency=low

  * Removed CVS directories that snuck into the deb.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2000 01:26:57 -0400

lm-sensors (2.5.2-2) unstable; urgency=low

  * Moved lm-sensors binary package from section misc to section utils
    (well, the override filee will probably still need to be updated to 
    follow suit, so I am actually going to reassign bug #74467 to ftp.d.o).

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2000 11:11:08 -0400

lm-sensors (2.5.2-1) unstable; urgency=low

  * New upstream version. This version has known problems with the
    2.4.0-test8 kernel.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Sep 2000 21:43:01 -0700

lm-sensors (2.5.0-10) unstable; urgency=low

  * Rebuilt (and build-dends on) debhelper 2.1.9. Earlier versions produced
    postinst/postrm files that did not work on systems with non-modular
    kernels. Closes: #64457

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Sep 2000 20:40:28 -0700

lm-sensors (2.5.0-9) unstable; urgency=low

  * Epoch and version number patch. Closes: #69522

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Sep 2000 16:42:59 -0700

lm-sensors (2.5.0-8) unstable; urgency=low

  * Quoted some text used inside a m// in sensors-detect. Closes: #69461
  * Now depends on the current makedev package, which uses /dev/i2c-*, in
    complience with devices.txt and upstream, not /dev/i2c* that Debian 
    used to use for some reason. I belive this Closes: #61670, #65381
  * Note that this means that /dev/i2c0 and /dev/i2c1 will still be around
    after this upgrade. Policy says I cannot remove them; up to admin. So
    be it.

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 12:13:14 -0700

lm-sensors (2.5.0-7) unstable; urgency=low

  * Type fix, Closes: #68415

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Aug 2000 13:40:01 -0700

lm-sensors (2.5.0-6) unstable; urgency=low

  * Applied most of a documentation patch by Josip Rodin. Killed the bit
    about chowning the tree to a user, that's what the src group is for.
    Closes: #65806

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jun 2000 20:25:59 -0700

lm-sensors (2.5.0-5) unstable; urgency=low

  * The source package now installs everything owned by root.src, and
    directories are 2755. This is to mirror the standard permissions of
    /usr/src.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2000 20:48:50 -0700

lm-sensors (2.5.0-4) unstable; urgency=low

  * Build .deb in $(KSRC)/.., not $(MOD_DIR)/.. I started using the latter
    by accident in the last release.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 May 2000 11:54:13 -0700

lm-sensors (2.5.0-3) unstable; urgency=low

  * Shut up warnings about .d files, Closes: 64045
  
 -- Joey Hess <joeyh@debian.org>  Tue, 16 May 2000 01:01:24 -0700

lm-sensors (2.5.0-2) unstable; urgency=low

  * Listed the (many) authors in debian/copyright. Closes: #64082
  * Enhanced README.Debian in lm-sensors-source, based on the work of Josip
    Rodin. Closes: #64044 (Well, part of it anyway. I disagree with the
    other parts, amd if people want to file multipart bug reports,
    getting them closed like this is the price they pay for that
    convenience.)

 -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2000 17:05:28 -0700

lm-sensors (2.5.0-1) unstable; urgency=low

  * Major new upstream release. Closes: #62362
  * i2c stuff is split off into a separate package. Lots of changes for
    this.
  * Major code tree reogranaization, both upstream and in debian/
  * The shared library is at soname 1 now.
  * Cleaned up the control file handling.
  * genchanges.sh now supports gpg.
  * lm-sensors install now runs MAKEDEV i2c for you.
  * lm-sensors-source uses dh_installmodules to handle maintainer scripts,
    and so depends on the latest version of debhelper, 2.0.96

 -- Joey Hess <joeyh@debian.org>  Wed,  3 May 2000 13:25:41 -0700

lm-sensors (2.4.4-3) unstable; urgency=low

  * Corrected section and priority information to match the overrides file.

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 21:12:59 -0700

lm-sensors (2.4.4-2) unstable; urgency=low

  * Removed bogus lm-sensor-mod Suggests lines. Closes: #63360, which
    Christian says is important. Hmm.

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 10:02:37 -0700

lm-sensors (2.4.4-1) unstable; urgency=low

  * New upstream.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jan 2000 16:14:22 -0800

lm-sensors (2.4.3-11) unstable; urgency=low

  * Updated link to kernel-package docs. Closes: #54604

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 16:43:41 -0800

lm-sensors (2.4.3-10) unstable; urgency=low

  * -dev package now includes .so link, Closes: #53500

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 16:19:59 -0800

lm-sensors (2.4.3-9) unstable; urgency=low

  * Patch from bug submitter to make it work if linux source is elsewhere
   than /usr/src/linux, Closes: #53888

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 12:04:06 -0800

lm-sensors (2.4.3-8) unstable; urgency=low

  * Fixed typo, Closes: #53408

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Dec 1999 11:25:43 -0800

lm-sensors (2.4.3-7) unstable; urgency=low

  * Fixed module build problem: always clean first.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Dec 1999 14:41:23 -0800

lm-sensors (2.4.3-6) unstable; urgency=low

  * New upstream version. Closes: #51893

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 16:08:25 -0800

lm-sensors (2.4.3-5) unstable; urgency=low

  * Build dependancies.
  * Don't build kernel modules when building the regular debian package.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 01:09:55 -0800

lm-sensors (2.4.3-4) unstable; urgency=low

  * Moved the modutils file to the lm-sensors package and made it a conffile.
    It doesn't make sense to put it in the modules package.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Nov 1999 15:38:13 -0800

lm-sensors (2.4.3-3) unstable; urgency=low

  * Fixed KDREV parsing, Closes: #50878

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Nov 1999 14:24:51 -0800

lm-sensors (2.4.3-2) unstable; urgency=low

  * If epoch is present in KDREV, slit it out and only use it in the right
    places. Closes: #49421

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Nov 1999 14:03:13 -0800

lm-sensors (2.4.3-1) unstable; urgency=low

  * New upstream version. Had to re-merge my changes, luckily, there were few.
  * Removed some junk directories that shouldn't be installed.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Nov 1999 20:06:07 -0800

lm-sensors (2.3.4-6) unstable; urgency=low

  * Corrected filename to /usr/share/kernel-package/README.modules, 
    Closes: #46440

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 1999 12:58:24 -0700

lm-sensors (2.3.4-5) unstable; urgency=low

  * Decreased maintainer script verbosity.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 15:39:31 -0700

lm-sensors (2.3.4-4) unstable; urgency=low

  * Fixed control file mispelling (Closes: #44830)

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 18:52:00 -0700

lm-sensors (2.3.4-3) unstable; urgency=low

  * Add #DEBHELPER# to postrm.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 17:39:12 -0700

lm-sensors (2.3.4-2) unstable; urgency=low

  * Include kernel revision number in modules package version. Closes: #44110

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 00:41:36 -0700

lm-sensors (2.3.4-1) unstable; urgency=low

  * Fixed sensors-detect to use correct /dev filenames. Closes: #44084.
  * New upstream version.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Sep 1999 19:33:51 -0700

lm-sensors (2.3.2-2) unstable; urgency=low

  * Split out the library package properly.
  * Lintian clean except lm-sensors-source, which can't be.
  * Modified sensors-detect to print out debian-friendly instructions.
  * Added some more docs.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 May 1999 14:42:05 -0700

lm-sensors (2.3.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream release with many changes (completly rewritten).
  * Folded in patch from my NMU (#36567).
    - Generate a lm-sensors-source package now, which kernel-package can use
      to build packages that work with a given kernel. Dropped the pre-built
      module package.
  * Re-wrote all the package descriptions.
  * Generate a lm-sensors package with the shared lib and support programs
    in it. This may need to be split into a normal library and bin and dev
    package.
  * Fixed package names of modules packages to properly encode the kernel
    version.
  * Fixed lm-sensors-source postinst and postrm.
  * I still need to deal with some things, including a ton of lintian
    errors. Consider this a snapshot of a not-quite-done package.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 May 1999 19:55:59 -0700

lm-sensors (1.4.11-2) unstable; urgency=low

  * No longer build as seperate modules.
  * Added -m elf_i386 back to link flags
  * Fixed makefile
  * Changed architecture to i386

 -- Stephen Crowley <crow@debian.org>  Wed,  2 Dec 1998 23:28:06 -0600

lm-sensors (1.4.11-1) unstable; urgency=low

  * Removed -m elf_i386 from LDFLAGS
  * New upstream version.

 -- Stephen Crowley <crow@debian.org>  Mon, 30 Nov 1998 15:56:17 -0600

lm-sensors (1.4.10-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Crowley <crow@debian.org>  Sun, 29 Nov 1998 22:11:02 -0600

lm-sensors (1.4.9-3) unstable; urgency=low

  * Added modules for 2.0.36

 -- Stephen Crowley <crow@debian.org>  Wed, 18 Nov 1998 18:31:36 -0600

lm-sensors (1.4.9-2) unstable; urgency=low

  * Removed update-modules from postinst and postrm

 -- Stephen Crowley <crow@debian.org>  Sun,  8 Nov 1998 18:37:24 -0600

lm-sensors (1.4.9-1) unstable; urgency=low

  * Initial Release.

 -- Stephen Crowley <crow@debian.org>  Sun,  8 Nov 1998 00:18:25 -0600

Local variables:
mode: debian-changelog
End:
